#!/bin/bash

# Überprüfen, ob der .ssh-Ordner existiert, wenn nicht, erstelle ihn
if [ ! -d "$HOME/.ssh" ]; then
  mkdir -m 700 "$HOME/.ssh"
  echo ".ssh-Verzeichnis wurde erstellt."
else
  echo ".ssh-Verzeichnis existiert bereits."
fi

# Benutzer fragen, ob ein SSH-Key hinzugefügt werden soll
read -p "Möchten Sie einen SSH-Public-Key hinzufügen? (Leerlassen zum Überspringen): " user_input

# Nur fortfahren, wenn der Benutzer etwas eingegeben hat
if [ ! -z "$user_input" ]; then
  # Überprüfen, ob der Key bereits in authorized_keys vorhanden ist
  if grep -q "$user_input" "$HOME/.ssh/authorized_keys"; then
    echo "Der SSH-Public-Key ist bereits vorhanden."
  else
    # Den eingegebenen Public Key in die authorized_keys-Datei speichern
    echo "$user_input" >> "$HOME/.ssh/authorized_keys"
    echo "SSH-Public-Key wurde hinzugefügt."
  fi
else
  echo "SSH-Key Installation übersprungen."
fi
